#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # pyecharts
# 
# [pyecharts](https://github.com/pyecharts/pyecharts) a wrapper for a new library [echarts](https://ecomfe.github.io/echarts-doc/public/en/index.html) made by [Baidu](https://www.baidu.com/).

# [documentation](https://github.com/pyecharts/pyecharts) [source](https://github.com/pyecharts/pyecharts) [installation](https://github.com/pyecharts/pyecharts#pyecharts-1) [tutorial](https://github.com/pyecharts/pyecharts#basic-usage) [gallery](http://gallery.echartsjs.com/)

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# In[2]:


from pyecharts import __version__
__version__


# ## example

# In[3]:


from pyecharts.charts import Bar
from pyecharts import options as opts

attr = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]
v1 = [2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6, 20.0, 6.4, 3.3]
v2 = [2.6, 5.9, 9.0, 26.4, 28.7, 70.7, 175.6, 182.2, 48.7, 18.8, 6.0, 2.3]
bar = Bar().set_global_opts(title_opts=opts.TitleOpts(title="Bar charts",
                                                      subtitle="precipitation and evaporation one year"))
bar.add_xaxis(attr)
ext = opts.MarkLineOpts(data=[opts.MarkLineItem(type_="average")])
bar.add_yaxis("precipitation", v1, markline_opts=ext)
bar.add_yaxis("evaporation", v2, markline_opts=ext)
bar.render_notebook()


# After you install [pyecharts-snapshot](https://github.com/pyecharts/pyecharts-snapshot) and [phantom-js](http://phantomjs.org/download.html) (not needed anymore apparently).

# In[4]:


bar.render(path="echart_render.html")


# In[5]:


from pyecharts_snapshot.main import make_a_snapshot
await make_a_snapshot("echart_render.html", "echart_render.png")


# In[6]:


from IPython.display import Image
Image("echart_render.png", width='600')


# In[7]: